Search results

  1. B

    Dynamic display of elements from an AIS_PointCloud

    Hello! I have an AIS_PointCloud data fill with points and I like to determine the best way to hide and show elements from it in real time, for example inside an animation. AIS_PointCloud data could include hundreds of thousands of points. How can I approach the problem and what would be the...
  2. B

    AIS_PointCloud doesn't show any points

    Hello! In my Open Cascade project I have a class derived from AIS_InteractiveObject which includes a private member: Handle(AIS_PointCloud) aPntCloud; I like to display the content of this cloud_of_points variable but so far I haven't succeeded. Graphic3d_ArrayFlags aArrayFlags =...
  3. B

    Help for my first animation / simulation in OCCT

    Hello everyone! I try to implement my first simulation inside OCCT and need some basic help / ideas how to start. I have an array of points and like to move a simple cylinder (the center of it) between the points using a particular speed. Also I like to be able to pause the simulation or to...
  4. B

    Create non-circular helix

    Hello everybody! I like to know if is possible to create a non-circular helix using OCC tools or possible other NURBS libraries. My goal is to create a helix based on a 2D sketch (the blue selected sketch in the attached pictures) as starting point. The helix ramping angle and distance between...
  5. B

    How to differentiate between a circle and an arc

    How can I differentiate between an full circle and an arc of the same support circle? I'm trying to cycle through the elements of a TopoDS_Shape of type TopAbs_COMPOUND. Everything just work fine using the below code: double u0, u1; Handle(Geom_Curve) Curve; TopoDS_Edge Edge; Curve =...
  6. B

    How to get defining parameters for a Geom_Curve

    Hello! I'm very new with OCCT technology and try to find some basic info: I have an array of Geom_Curve geometry and must cycle on everyone of them and try to find the defining parameters for each of them. For example in the case of Geom_Line (the lines) I need to extract the start point and the...
  7. B

    How to calculate the angle of an arc expressed by a gp_Circ entity

    Hi ! I try to construct an arc from a gp_Circ entity and I need to know the angle of the arc in radians. How can I get it? I appreciate your help with this issue! Ioan
Top